/*
 * anyRemote
 * a bluetooth remote for your PC.
 * Copyright (C) 2006
 * 
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 */

#ifndef _CMDS_H
#define _CMDS_H

#include "parse.h"

#define PARAM_START     "$("
#define PARAM_CALLID    "CallId)"
#define PARAM_TIME      "Time)"
#define PARAM_MODE      "Mode)"
#define PARAM_PARAM     "Param)"
#define PARAM_INDEX     "Index)"
#define PARAM_CFGDIR    "CfgDir)"

#define SEND_STRING     "string"
#define SEND_BYTES      "bytes"

void        setToFile       (void);
int         cancelTimer     (char *id);
int  	    handleCmdByKey  (type_key* k, cmdParams *p);
int 	    processCommands (cmdItem* cmdList, cmdParams *p);
int         verifyTimers    (int ticksInSec);
void        execDynamically (char *command);
void        freeTimers      (void);

typedef struct TC
{	
	cmdItem *timer;
        
	int	ticks;
	int	times;
	char	*lastValue;
        
	struct TC  *next;
} timerCmd;

#endif
